
QGIS Application - Bug report #16000

wrong text angles

2016-12-21 06:39 AM - Mike Blechschmidt

Status: Closed

Priority: Normal

Assignee: Jürgen Fischer

Category: DWG/DXF import

Affected QGIS version:2.18.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23916

Description

The textangles are displayed incorrectly.

In the Label rotation definition, wrong angle * 180.0 / pi (), correct angle

Associated revisions

Revision 567f9208 - 2016-12-24 12:20 AM - Jürgen Fischer

dxf import: fix text positions and orientation when importing DXF (fixes #16000)

Revision 5a8e86ba - 2017-01-01 06:44 PM - Jürgen Fischer

dxf import:

    -  fix text positions and orientation when importing DXF (fixes #16000;

  cherry-picked from 567f920)

    -  disable DWG/DXF import with GDAL <2

History

#1 - 2016-12-22 05:26 AM - Jürgen Fischer

It's a DWG and DXF export.  Apparently the angle is correct from DWG.

#2 - 2016-12-22 05:30 AM - Jürgen Fischer

- Category changed from C++ Plugins to DWG/DXF import

#3 - 2016-12-22 05:31 AM - Jürgen Fischer

- Subject changed from New DXF-Import 2.18.2 to wrong text angles

#4 - 2016-12-22 05:35 AM - Jürgen Fischer

- Affected QGIS version changed from 2.18.0 to 2.18.2

#5 - 2016-12-22 05:37 AM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#6 - 2016-12-23 03:20 PM - Jürgen Fischer

- Status changed from Open to Closed
Fixed in changeset commit:"567f9208d1d78710db7ef144db776868dd8bfbe0".
